Index: CONFIG/IPSLCM/IPSLCM5-2/Chistorical/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/Chistorical/COMP/lmdz.card	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/Chistorical/COMP/lmdz.card	(revision 1540)
@@ -66,4 +66,5 @@
 	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
 	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
+	(${SUBMIT_DIR}/PARAM/output.def, .), \
 	(${SUBMIT_DIR}/PARAM/run.def, .), \
 	(${SUBMIT_DIR}/PARAM/traceur.def, .)
Index: CONFIG/IPSLCM/IPSLCM5-2/Chistorical/COMP/lmdz.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/Chistorical/COMP/lmdz.driver	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/Chistorical/COMP/lmdz.driver	(revision 1540)
@@ -264,14 +264,14 @@
 
 
-    ## physiq.def parameters modified from initial physiq_L${RESOL_ATM_Z}
+    ## output.def parameters
     #  columns in phys_output_filekeys refer to the filenames given in phys_out_filenames in physiq.def :  
     #                                            histmth       histday        histhf    histfh3h   histhf3hm   histstn
-    LMDZ_sed physiq.def phys_out_filekeys        ${ok_mensuel} ${ok_journe}   ${ok_hf}  ${ok_hf3h} ${ok_hf3hm} ${ok_stn}
-    LMDZ_sed physiq.def ecrit_ISCCP ${LMDZ_ecrit_ISCCP}
-    LMDZ_sed physiq.def ok_cosp     ${LMDZ_COSP_OK}
-    LMDZ_sed physiq.def ok_mensuelCOSP  ${LMDZ_COSP_monthly}
-    LMDZ_sed physiq.def ok_journeCOSP   ${LMDZ_COSP_daily}
-    LMDZ_sed physiq.def ok_hfCOSP   ${LMDZ_COSP_hf}
-    LMDZ_sed physiq.def ok_histNMC  "${LMDZ_NMC_monthly}, ${LMDZ_NMC_daily}, ${LMDZ_NMC_hf}"
+    LMDZ_sed output.def phys_out_filekeys        ${ok_mensuel} ${ok_journe}   ${ok_hf}  ${ok_hf3h} ${ok_hf3hm} ${ok_stn}
+    LMDZ_sed output.def ecrit_ISCCP ${LMDZ_ecrit_ISCCP}
+    LMDZ_sed output.def ok_cosp     ${LMDZ_COSP_OK}
+    LMDZ_sed output.def ok_mensuelCOSP  ${LMDZ_COSP_monthly}
+    LMDZ_sed output.def ok_journeCOSP   ${LMDZ_COSP_daily}
+    LMDZ_sed output.def ok_hfCOSP   ${LMDZ_COSP_hf}
+    LMDZ_sed output.def ok_histNMC  "${LMDZ_NMC_monthly}, ${LMDZ_NMC_daily}, ${LMDZ_NMC_hf}"
 
     ## gcm.def parameters : no change since gcm.def_${RESOL_ATM_3D} is used and already modified
Index: CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/output.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/output.def	(revision 1540)
+++ CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/output.def	(revision 1540)
@@ -0,0 +1,131 @@
+#
+# Parametres fichiers de sortie
+#
+# Noms des fichiers
+phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
+# Sortir ou non les fichiers
+phys_out_filekeys=       n       n       n        n         n         n
+# Niveaux de sorties
+phys_out_filelevels=     5       5       5        5         5         5
+### Type de fichier : global (n) ou stations (y)
+phys_out_filestations =  n       n       n        n         n         y
+### Frequences des sorties
+phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
+#
+#
+### variables niveaux pressions 100, 50, 10 hPa a 3h-inst - F.Lott
+flag_t100       = 1, 7, 7, 5, 10, 10
+flag_u100       = 1, 7, 7, 5, 10, 10
+flag_v100       = 1, 7, 7, 5, 10, 10
+flag_w100       = 1, 7, 7, 5, 10, 10
+flag_t50        = 1, 7, 7, 5, 10, 10
+flag_u50        = 1, 7, 7, 5, 10, 10
+flag_v50        = 1, 7, 7, 5, 10, 10
+flag_w50        = 1, 7, 7, 5, 10, 10
+flag_t10        = 1, 7, 7, 5, 10, 10
+flag_u10        = 1, 7, 7, 5, 10, 10
+flag_v10        = 1, 7, 7, 5, 10, 10
+flag_w10        = 1, 7, 7, 5, 10, 10
+# more variables for level 5 histday/month: vitw and pres
+# Vertical wind
+flag_vitw         =  2, 3, 7, 6, 6, 6
+# Air pressure
+flag_pres         =  2, 3, 7, 6, 6, 6
+# w500 for histday
+flag_w500         =  1, 5, 3, 10, 10, 10
+# t700 for histday
+flag_t700         =  1, 5, 3, 10, 10, 10
+# Cloud fraction
+flag_rneb         =  2, 5, 10, 5, 10, 10
+# Aga sortie avec niveau 2
+flag_Aga          =  2, 10, 10, 10, 10, 10
+# niveaux maximum 5 mensuel pour variables CFMIP
+flag_rlu          =  5, 10, 10, 10, 10, 10
+flag_rsu          =  5, 10, 10, 10, 10, 10
+flag_rld          =  5, 10, 10, 10, 10, 10
+flag_rsd          =  5, 10, 10, 10, 10, 10
+flag_rlucs        =  5, 10, 10, 10, 10, 10
+flag_rsucs        =  5, 10, 10, 10, 10, 10
+flag_rldcs        =  5, 10, 10, 10, 10, 10
+flag_rsdcs        =  5, 10, 10, 10, 10, 10
+flag_tnt          =  5, 10, 10, 10, 10, 10
+flag_dtdyn        =  4, 10, 10, 10, 10, 10
+flag_dtphy        =  4, 10, 10, 10, 10, 10
+flag_dtlschr      =  5, 10, 10, 10, 10, 10
+flag_tntr         =  5, 10, 10, 10, 10, 10
+flag_tntc         =  5, 10, 10, 10, 10, 10
+flag_tntscpbl     =  5, 10, 10, 10, 10, 10
+flag_tnhus        =  5, 10, 10, 10, 10, 10
+flag_dqdyn        =  4, 10, 10, 10, 10, 10
+flag_tnhusc       =  5, 10, 10, 10, 10, 10
+flag_dqvdf        =  5, 10, 10, 10, 10, 10
+flag_tnhusscpbl   =  5, 10, 10, 10, 10, 10
+flag_dqphy        =  2, 10, 10, 10, 10, 10
+flag_evu          =  5, 10, 10, 10, 10, 10
+flag_kz           =  4, 10, 10, 10, 10, 10
+###
+# more variables for t tendency monthly
+###
+flag_dtvdf        =  5, 10, 10, 10, 10, 10
+flag_dteva        =  5, 10, 10, 10, 10, 10
+flag_dtcon        =  4, 10, 10, 10, 10, 10
+flag_dtajs        =  4, 10, 10, 10, 10, 10
+flag_dtlsc        =  4, 10, 10, 10, 10, 10
+flag_dtoro        =  4, 10, 10, 10, 10, 10
+flag_dtlif        =  4, 10, 10, 10, 10, 10
+flag_dthin        =  4, 10, 10, 10, 10, 10
+flag_dtec         =  4, 10, 10, 10, 10, 10
+### more variables for q tendency monthly
+flag_dqeva        =  5, 10, 10, 10, 10, 10
+flag_dqcon        =  4, 10, 10, 10, 10, 10
+flag_dqajs        =  4, 10, 10, 10, 10, 10
+flag_dqlsc        =  5, 10, 10, 10, 10, 10
+### nouvelle physique monthly
+flag_dtthe        =  4, 10, 10, 10, 10, 10
+flag_dtwak        =  4, 5, 10, 10, 10, 10
+flag_dqthe        =  4, 10, 10, 10, 10, 10
+flag_dqwak        =  4, 5, 10, 10, 10, 10
+flag_ftime_th     =  4, 10, 10, 5, 10, 10
+#
+# Parametres niveau de sorties differents fichiers
+#
+### parametres pour hist*NMC.nc
+#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
+#                histdayNMC: 8 ou 17
+lev_histdayNMC=8
+### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
+ok_histNMC = y, n, n
+
+#
+# Parametres simulateur COSP (CFMIP Observational Simulator Package)
+#
+### ok_cosp=y/n flag simulateur COSP
+ok_cosp=n
+### freq_COSP = frequence d'appel de COSP en secondes
+freq_COSP=10800.
+### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
+ok_mensuelCOSP=y
+### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
+ok_journeCOSP=y
+### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
+ok_hfCOSP=n
+#
+# Parametres simulateur ISCCP
+#
+### ok_isccp=y/n flag simulateur ISCCP
+ok_isccp=n
+### freqin_isccp = frequence input en secondes du simulateur ISCCP
+freq_ISCCP=10800.
+### freqout_isccp = frequence output en jours du simulateur ISCCP
+ecrit_ISCCP=_ecrit-ISCCP_
+### top_height = flag choix calcul nuages par le simulateur en utilisant 
+# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
+# - top_height = 1 -> algo IR-VIS
+# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
+# - top_height = 3 -> algo IR
+top_height = 1
+### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
+# - overlap=1    Max overlap
+# - overlap=2    Random overlap
+# - overlap=3    Max/Random overlap
+overlap = 3
Index: CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/physiq.def_L19
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/physiq.def_L19	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/physiq.def_L19	(revision 1540)
@@ -26,22 +26,4 @@
 #
 #
-#
-# Parametres fichiers de sortie
-#
-# Noms des fichiers
-phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
-# Sortir ou non les fichiers
-phys_out_filekeys=       n       n       n        n         n         n
-# Niveaux de sorties
-phys_out_filelevels=     5       5       5        5         5         5
-### Type de fichier : global (n) ou stations (y)
-phys_out_filestations =  n       n       n        n         n         y
-### Frequences des sorties
-phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
-#
-### freqin_isccp = frequence input en secondes du simulateur ISCCP
-freq_ISCCP=10800.
-### freqout_isccp = frequence output en jours du simulateur ISCCP
-ecrit_ISCCP=_ecrit-ISCCP_
 ### niveau du diagnostique de conservation d energie
 if_ebil=0
@@ -166,25 +148,3 @@
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
 read_climoz=0
-#
-# Parametres simulateur COSP (CFMIP Observational Simulator Package)
-#
-### ok_cosp=y/n flag simulateur COSP
-ok_cosp=n
-## freq_COSP = frequence d'appel de COSP en secondes
-freq_COSP=10800.
-#
-# Parametres simulateur ISCCP
-#
-### ok_isccp=y/n flag simulateur ISCCP
-ok_isccp=n
-### top_height = flag choix calcul nuages par le simulateur en utilisant 
-# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
-# - top_height = 1 -> algo IR-VIS
-# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
-# - top_height = 3 -> algo IR
-top_height = 1
-### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
-# - overlap=1    Max overlap
-# - overlap=2    Random overlap
-# - overlap=3    Max/Random overlap
-overlap = 3
+
Index: CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/physiq.def_L39	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/physiq.def_L39	(revision 1540)
@@ -26,105 +26,5 @@
 #
 #
-#
-# Parametres fichiers de sortie
-#
-# Noms des fichiers
-phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
-# Sortir ou non les fichiers
-phys_out_filekeys=       n       n       n        n         n         n
-# Niveaux de sorties
-phys_out_filelevels=     5       5       5        5         5         5
-### Type de fichier : global (n) ou stations (y)
-phys_out_filestations =  n       n       n        n         n         y
-### Frequences des sorties
-phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
-#
-#
-### variables niveaux pressions 100, 50, 10 hPa a 3h-inst - F.Lott
-flag_t100       = 1, 7, 7, 5, 10, 10
-flag_u100       = 1, 7, 7, 5, 10, 10
-flag_v100       = 1, 7, 7, 5, 10, 10
-flag_w100       = 1, 7, 7, 5, 10, 10
-flag_t50        = 1, 7, 7, 5, 10, 10
-flag_u50        = 1, 7, 7, 5, 10, 10
-flag_v50        = 1, 7, 7, 5, 10, 10
-flag_w50        = 1, 7, 7, 5, 10, 10
-flag_t10        = 1, 7, 7, 5, 10, 10
-flag_u10        = 1, 7, 7, 5, 10, 10
-flag_v10        = 1, 7, 7, 5, 10, 10
-flag_w10        = 1, 7, 7, 5, 10, 10
-# more variables for level 5 histday/month: vitw and pres
-# Vertical wind
-flag_vitw         =  2, 3, 7, 6, 6, 6
-# Air pressure
-flag_pres         =  2, 3, 7, 6, 6, 6
-# w500 for histday
-flag_w500         =  1, 5, 3, 10, 10, 10
-# t700 for histday
-flag_t700         =  1, 5, 3, 10, 10, 10
-# Cloud fraction
-flag_rneb         =  2, 5, 10, 5, 10, 10
-# Aga sortie avec niveau 2
-flag_Aga          =  2, 10, 10, 10, 10, 10
-# niveaux maximum 5 mensuel pour variables CFMIP
-flag_rlu          =  5, 10, 10, 10, 10, 10
-flag_rsu          =  5, 10, 10, 10, 10, 10
-flag_rld          =  5, 10, 10, 10, 10, 10
-flag_rsd          =  5, 10, 10, 10, 10, 10
-flag_rlucs        =  5, 10, 10, 10, 10, 10
-flag_rsucs        =  5, 10, 10, 10, 10, 10
-flag_rldcs        =  5, 10, 10, 10, 10, 10
-flag_rsdcs        =  5, 10, 10, 10, 10, 10
-flag_tnt          =  5, 10, 10, 10, 10, 10
-flag_dtdyn        =  4, 10, 10, 10, 10, 10
-flag_dtphy        =  4, 10, 10, 10, 10, 10
-flag_dtlschr      =  5, 10, 10, 10, 10, 10
-flag_tntr         =  5, 10, 10, 10, 10, 10
-flag_tntc         =  5, 10, 10, 10, 10, 10
-flag_tntscpbl     =  5, 10, 10, 10, 10, 10
-flag_tnhus        =  5, 10, 10, 10, 10, 10
-flag_dqdyn        =  4, 10, 10, 10, 10, 10
-flag_tnhusc       =  5, 10, 10, 10, 10, 10
-flag_dqvdf        =  5, 10, 10, 10, 10, 10
-flag_tnhusscpbl   =  5, 10, 10, 10, 10, 10
-flag_dqphy        =  2, 10, 10, 10, 10, 10
-flag_evu          =  5, 10, 10, 10, 10, 10
-flag_kz           =  4, 10, 10, 10, 10, 10
-###
-# more variables for t tendency monthly
-###
-flag_dtvdf        =  5, 10, 10, 10, 10, 10
-flag_dteva        =  5, 10, 10, 10, 10, 10
-flag_dtcon        =  4, 10, 10, 10, 10, 10
-flag_dtajs        =  4, 10, 10, 10, 10, 10
-flag_dtlsc        =  4, 10, 10, 10, 10, 10
-flag_dtoro        =  4, 10, 10, 10, 10, 10
-flag_dtlif        =  4, 10, 10, 10, 10, 10
-flag_dthin        =  4, 10, 10, 10, 10, 10
-flag_dtec         =  4, 10, 10, 10, 10, 10
-### more variables for q tendency monthly
-flag_dqeva        =  5, 10, 10, 10, 10, 10
-flag_dqcon        =  4, 10, 10, 10, 10, 10
-flag_dqajs        =  4, 10, 10, 10, 10, 10
-flag_dqlsc        =  5, 10, 10, 10, 10, 10
-### nouvelle physique monthly
-flag_dtthe        =  4, 10, 10, 10, 10, 10
-flag_dtwak        =  4, 5, 10, 10, 10, 10
-flag_dqthe        =  4, 10, 10, 10, 10, 10
-flag_dqwak        =  4, 5, 10, 10, 10, 10
-flag_ftime_th     =  4, 10, 10, 5, 10, 10
-#
-# Parametres niveau de sorties differents fichiers
-#
-### parametres pour hist*NMC.nc
-#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
-#                histdayNMC: 8 ou 17
-lev_histdayNMC=8
-### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
-ok_histNMC = y, n, n
-### freqin_isccp = frequence input en secondes du simulateur ISCCP
-freq_ISCCP=10800.
-### freqout_isccp = frequence output en jours du simulateur ISCCP
-ecrit_ISCCP=_ecrit-ISCCP_
+
 ### niveau du diagnostique de conservation d energie
 if_ebil=0
@@ -249,31 +149,2 @@
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
 read_climoz=2
-#
-# Parametres simulateur COSP (CFMIP Observational Simulator Package)
-#
-### ok_cosp=y/n flag simulateur COSP
-ok_cosp=n
-### freq_COSP = frequence d'appel de COSP en secondes
-freq_COSP=10800.
-### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
-ok_mensuelCOSP=y
-### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
-ok_journeCOSP=y
-### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
-ok_hfCOSP=n
-#
-# Parametres simulateur ISCCP
-#
-### ok_isccp=y/n flag simulateur ISCCP
-ok_isccp=n
-### top_height = flag choix calcul nuages par le simulateur en utilisant 
-# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
-# - top_height = 1 -> algo IR-VIS
-# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
-# - top_height = 3 -> algo IR
-top_height = 1
-### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
-# - overlap=1    Max overlap
-# - overlap=2    Random overlap
-# - overlap=3    Max/Random overlap
-overlap = 3
Index: CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/run.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/run.def	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/run.def	(revision 1540)
@@ -4,4 +4,5 @@
 INCLUDEDEF=gcm.def
 INCLUDEDEF=orchidee.def
+INCLUDEDEF=output.def
 ## Type de calendrier utilise
 ## valeur possible: earth_360d (defaut), earth_365d, earth_366d
Index: CONFIG/IPSLCM/IPSLCM5-2/CpiControl/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/CpiControl/COMP/lmdz.card	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/CpiControl/COMP/lmdz.card	(revision 1540)
@@ -59,4 +59,5 @@
 	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
 	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
+	(${SUBMIT_DIR}/PARAM/output.def, .), \
 	(${SUBMIT_DIR}/PARAM/run.def, .), \
 	(${SUBMIT_DIR}/PARAM/traceur.def, .)
Index: CONFIG/IPSLCM/IPSLCM5-2/CpiControl/COMP/lmdz.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/CpiControl/COMP/lmdz.driver	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/CpiControl/COMP/lmdz.driver	(revision 1540)
@@ -264,14 +264,14 @@
 
 
-    ## physiq.def parameters modified from initial physiq_L${RESOL_ATM_Z}
+    ## output.def parameters
     #  columns in phys_output_filekeys refer to the filenames given in phys_out_filenames in physiq.def :  
     #                                            histmth       histday        histhf    histfh3h   histhf3hm   histstn
-    LMDZ_sed physiq.def phys_out_filekeys        ${ok_mensuel} ${ok_journe}   ${ok_hf}  ${ok_hf3h} ${ok_hf3hm} ${ok_stn}
-    LMDZ_sed physiq.def ecrit_ISCCP ${LMDZ_ecrit_ISCCP}
-    LMDZ_sed physiq.def ok_cosp     ${LMDZ_COSP_OK}
-    LMDZ_sed physiq.def ok_mensuelCOSP  ${LMDZ_COSP_monthly}
-    LMDZ_sed physiq.def ok_journeCOSP   ${LMDZ_COSP_daily}
-    LMDZ_sed physiq.def ok_hfCOSP   ${LMDZ_COSP_hf}
-    LMDZ_sed physiq.def ok_histNMC  "${LMDZ_NMC_monthly}, ${LMDZ_NMC_daily}, ${LMDZ_NMC_hf}"
+    LMDZ_sed output.def phys_out_filekeys        ${ok_mensuel} ${ok_journe}   ${ok_hf}  ${ok_hf3h} ${ok_hf3hm} ${ok_stn}
+    LMDZ_sed output.def ecrit_ISCCP ${LMDZ_ecrit_ISCCP}
+    LMDZ_sed output.def ok_cosp     ${LMDZ_COSP_OK}
+    LMDZ_sed output.def ok_mensuelCOSP  ${LMDZ_COSP_monthly}
+    LMDZ_sed output.def ok_journeCOSP   ${LMDZ_COSP_daily}
+    LMDZ_sed output.def ok_hfCOSP   ${LMDZ_COSP_hf}
+    LMDZ_sed output.def ok_histNMC  "${LMDZ_NMC_monthly}, ${LMDZ_NMC_daily}, ${LMDZ_NMC_hf}"
 
     ## gcm.def parameters : no change since gcm.def_${RESOL_ATM_3D} is used and already modified
Index: CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/output.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/output.def	(revision 1540)
+++ CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/output.def	(revision 1540)
@@ -0,0 +1,131 @@
+#
+# Parametres fichiers de sortie
+#
+# Noms des fichiers
+phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
+# Sortir ou non les fichiers
+phys_out_filekeys=       n       n       n        n         n         n
+# Niveaux de sorties
+phys_out_filelevels=     5       5       2        5         5         5
+### Type de fichier : global (n) ou stations (y)
+phys_out_filestations =  n       n       n        n         n         y
+### Frequences des sorties
+phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
+#
+#
+### variables niveaux pressions 100, 50, 10 hPa a 3h-inst - F.Lott
+flag_t100       = 1, 7, 7, 5, 10, 10
+flag_u100       = 1, 7, 7, 5, 10, 10
+flag_v100       = 1, 7, 7, 5, 10, 10
+flag_w100       = 1, 7, 7, 5, 10, 10
+flag_t50        = 1, 7, 7, 5, 10, 10
+flag_u50        = 1, 7, 7, 5, 10, 10
+flag_v50        = 1, 7, 7, 5, 10, 10
+flag_w50        = 1, 7, 7, 5, 10, 10
+flag_t10        = 1, 7, 7, 5, 10, 10
+flag_u10        = 1, 7, 7, 5, 10, 10
+flag_v10        = 1, 7, 7, 5, 10, 10
+flag_w10        = 1, 7, 7, 5, 10, 10
+#
+# more variables for level 5 : vitw and pres
+# Vertical wind
+flag_vitw         =  2, 3, 7, 6, 6, 6
+# Air pressure
+flag_pres         =  2, 3, 7, 6, 6, 6
+# w500 for histday
+flag_w500         =  1, 5, 3, 10, 10, 10
+# t700 for histday
+flag_t700         =  1, 5, 3, 10, 10, 10
+# Cloud fraction
+flag_rneb         =  2, 5, 10, 5, 10, 10
+# Aga sortie avec niveau 2
+flag_Aga          =  2, 10, 10, 10, 10, 10
+# niveaux maximum 5 mensuel pour variables CFMIP
+flag_rlu          =  5, 10, 10, 10, 10, 10
+flag_rsu          =  5, 10, 10, 10, 10, 10
+flag_rld          =  5, 10, 10, 10, 10, 10
+flag_rsd          =  5, 10, 10, 10, 10, 10
+flag_rlucs        =  5, 10, 10, 10, 10, 10
+flag_rsucs        =  5, 10, 10, 10, 10, 10
+flag_rldcs        =  5, 10, 10, 10, 10, 10
+flag_rsdcs        =  5, 10, 10, 10, 10, 10
+flag_tnt          =  5, 10, 10, 10, 10, 10
+flag_dtdyn        =  4, 10, 10, 10, 10, 10
+flag_dtphy        =  4, 10, 10, 10, 10, 10
+flag_dtlschr      =  5, 10, 10, 10, 10, 10
+flag_tntr         =  5, 10, 10, 10, 10, 10
+flag_tntc         =  5, 10, 10, 10, 10, 10
+flag_tntscpbl     =  5, 10, 10, 10, 10, 10
+flag_tnhus        =  5, 10, 10, 10, 10, 10
+flag_dqdyn        =  4, 10, 10, 10, 10, 10
+flag_tnhusc       =  5, 10, 10, 10, 10, 10
+flag_dqvdf        =  5, 10, 10, 10, 10, 10
+flag_tnhusscpbl   =  5, 10, 10, 10, 10, 10
+flag_dqphy        =  2, 10, 10, 10, 10, 10
+flag_evu          =  5, 10, 10, 10, 10, 10
+flag_kz           =  4, 10, 10, 10, 10, 10
+###
+# more variables for t tendency monthly
+###
+flag_dtvdf        =  5, 10, 10, 10, 10, 10
+flag_dteva        =  5, 10, 10, 10, 10, 10
+flag_dtcon        =  4, 10, 10, 10, 10, 10
+flag_dtajs        =  4, 10, 10, 10, 10, 10
+flag_dtlsc        =  4, 10, 10, 10, 10, 10
+flag_dtoro        =  4, 10, 10, 10, 10, 10
+flag_dtlif        =  4, 10, 10, 10, 10, 10
+flag_dthin        =  4, 10, 10, 10, 10, 10
+flag_dtec         =  4, 10, 10, 10, 10, 10
+### more variables for q tendency monthly
+flag_dqeva        =  5, 10, 10, 10, 10, 10
+flag_dqcon        =  4, 10, 10, 10, 10, 10
+flag_dqajs        =  4, 10, 10, 10, 10, 10
+flag_dqlsc        =  5, 10, 10, 10, 10, 10
+### nouvelle physique monthly
+flag_dtthe        =  4, 10, 10, 10, 10, 10
+flag_dtwak        =  4, 5, 10, 10, 10, 10
+flag_dqthe        =  4, 10, 10, 10, 10, 10
+flag_dqwak        =  4, 5, 10, 10, 10, 10
+flag_ftime_th     =  4, 10, 10, 5, 10, 10
+#
+# Parametres niveau de sorties differents fichiers
+#
+### parametres pour hist*NMC.nc
+#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
+#                histdayNMC: 8 ou 17
+lev_histdayNMC=8
+### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
+ok_histNMC = y, n, n
+#
+# Parametres simulateur COSP (CFMIP Observational Simulator Package)
+#
+### ok_cosp=y/n flag simulateur COSP
+ok_cosp=n
+### freq_COSP = frequence d'appel de COSP en secondes
+freq_COSP=10800.
+### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
+ok_mensuelCOSP=y
+### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
+ok_journeCOSP=y
+### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
+ok_hfCOSP=n
+#
+# Parametres simulateur ISCCP
+#
+### ok_isccp=y/n flag simulateur ISCCP
+ok_isccp=n
+### freqin_isccp = frequence input en secondes du simulateur ISCCP
+freq_ISCCP=10800.
+### freqout_isccp = frequence output en jours du simulateur ISCCP
+ecrit_ISCCP=_ecrit-ISCCP_
+### top_height = flag choix calcul nuages par le simulateur en utilisant 
+# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
+# - top_height = 1 -> algo IR-VIS
+# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
+# - top_height = 3 -> algo IR
+top_height = 1
+### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
+# - overlap=1    Max overlap
+# - overlap=2    Random overlap
+# - overlap=3    Max/Random overlap
+overlap = 3
Index: CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/physiq.def_L19
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/physiq.def_L19	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/physiq.def_L19	(revision 1540)
@@ -26,22 +26,4 @@
 #
 #
-#
-# Parametres fichiers de sortie
-#
-# Noms des fichiers
-phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
-# Sortir ou non les fichiers
-phys_out_filekeys=       n       n       n        n         n         n
-# Niveaux de sorties
-phys_out_filelevels=     5       5       5        5         5         5
-### Type de fichier : global (n) ou stations (y)
-phys_out_filestations =  n       n       n        n         n         y
-### Frequences des sorties
-phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
-#
-### freqin_isccp = frequence input en secondes du simulateur ISCCP
-freq_ISCCP=10800.
-### freqout_isccp = frequence output en jours du simulateur ISCCP
-ecrit_ISCCP=_ecrit-ISCCP_
 ### niveau du diagnostique de conservation d energie
 if_ebil=0
@@ -166,25 +148,3 @@
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
 read_climoz=0
-#
-# Parametres simulateur COSP (CFMIP Observational Simulator Package)
-#
-### ok_cosp=y/n flag simulateur COSP
-ok_cosp=n
-## freq_COSP = frequence d'appel de COSP en secondes
-freq_COSP=10800.
-#
-# Parametres simulateur ISCCP
-#
-### ok_isccp=y/n flag simulateur ISCCP
-ok_isccp=n
-### top_height = flag choix calcul nuages par le simulateur en utilisant 
-# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
-# - top_height = 1 -> algo IR-VIS
-# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
-# - top_height = 3 -> algo IR
-top_height = 1
-### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
-# - overlap=1    Max overlap
-# - overlap=2    Random overlap
-# - overlap=3    Max/Random overlap
-overlap = 3
+
Index: CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/physiq.def_L39	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/physiq.def_L39	(revision 1540)
@@ -26,105 +26,4 @@
 #
 #
-#
-# Parametres fichiers de sortie
-#
-# Noms des fichiers
-phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
-# Sortir ou non les fichiers
-phys_out_filekeys=       n       n       n        n         n         n
-# Niveaux de sorties
-phys_out_filelevels=     5       5       2        5         5         5
-### Type de fichier : global (n) ou stations (y)
-phys_out_filestations =  n       n       n        n         n         y
-### Frequences des sorties
-phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
-#
-#
-### variables niveaux pressions 100, 50, 10 hPa a 3h-inst - F.Lott
-flag_t100       = 1, 7, 7, 5, 10, 10
-flag_u100       = 1, 7, 7, 5, 10, 10
-flag_v100       = 1, 7, 7, 5, 10, 10
-flag_w100       = 1, 7, 7, 5, 10, 10
-flag_t50        = 1, 7, 7, 5, 10, 10
-flag_u50        = 1, 7, 7, 5, 10, 10
-flag_v50        = 1, 7, 7, 5, 10, 10
-flag_w50        = 1, 7, 7, 5, 10, 10
-flag_t10        = 1, 7, 7, 5, 10, 10
-flag_u10        = 1, 7, 7, 5, 10, 10
-flag_v10        = 1, 7, 7, 5, 10, 10
-flag_w10        = 1, 7, 7, 5, 10, 10
-# more variables for level 5 histday/month: vitw and pres
-# Vertical wind
-flag_vitw         =  2, 3, 7, 6, 6, 6
-# Air pressure
-flag_pres         =  2, 3, 7, 6, 6, 6
-# w500 for histday
-flag_w500         =  1, 5, 3, 10, 10, 10
-# t700 for histday
-flag_t700         =  1, 5, 3, 10, 10, 10
-# Cloud fraction
-flag_rneb         =  2, 5, 10, 5, 10, 10
-# Aga sortie avec niveau 2
-flag_Aga          =  2, 10, 10, 10, 10, 10
-# niveaux maximum 5 mensuel pour variables CFMIP
-flag_rlu          =  5, 10, 10, 10, 10, 10
-flag_rsu          =  5, 10, 10, 10, 10, 10
-flag_rld          =  5, 10, 10, 10, 10, 10
-flag_rsd          =  5, 10, 10, 10, 10, 10
-flag_rlucs        =  5, 10, 10, 10, 10, 10
-flag_rsucs        =  5, 10, 10, 10, 10, 10
-flag_rldcs        =  5, 10, 10, 10, 10, 10
-flag_rsdcs        =  5, 10, 10, 10, 10, 10
-flag_tnt          =  5, 10, 10, 10, 10, 10
-flag_dtdyn        =  4, 10, 10, 10, 10, 10
-flag_dtphy        =  4, 10, 10, 10, 10, 10
-flag_dtlschr      =  5, 10, 10, 10, 10, 10
-flag_tntr         =  5, 10, 10, 10, 10, 10
-flag_tntc         =  5, 10, 10, 10, 10, 10
-flag_tntscpbl     =  5, 10, 10, 10, 10, 10
-flag_tnhus        =  5, 10, 10, 10, 10, 10
-flag_dqdyn        =  4, 10, 10, 10, 10, 10
-flag_tnhusc       =  5, 10, 10, 10, 10, 10
-flag_dqvdf        =  5, 10, 10, 10, 10, 10
-flag_tnhusscpbl   =  5, 10, 10, 10, 10, 10
-flag_dqphy        =  2, 10, 10, 10, 10, 10
-flag_evu          =  5, 10, 10, 10, 10, 10
-flag_kz           =  4, 10, 10, 10, 10, 10
-###
-# more variables for t tendency monthly
-###
-flag_dtvdf        =  5, 10, 10, 10, 10, 10
-flag_dteva        =  5, 10, 10, 10, 10, 10
-flag_dtcon        =  4, 10, 10, 10, 10, 10
-flag_dtajs        =  4, 10, 10, 10, 10, 10
-flag_dtlsc        =  4, 10, 10, 10, 10, 10
-flag_dtoro        =  4, 10, 10, 10, 10, 10
-flag_dtlif        =  4, 10, 10, 10, 10, 10
-flag_dthin        =  4, 10, 10, 10, 10, 10
-flag_dtec         =  4, 10, 10, 10, 10, 10
-### more variables for q tendency monthly
-flag_dqeva        =  5, 10, 10, 10, 10, 10
-flag_dqcon        =  4, 10, 10, 10, 10, 10
-flag_dqajs        =  4, 10, 10, 10, 10, 10
-flag_dqlsc        =  5, 10, 10, 10, 10, 10
-### nouvelle physique monthly
-flag_dtthe        =  4, 10, 10, 10, 10, 10
-flag_dtwak        =  4, 5, 10, 10, 10, 10
-flag_dqthe        =  4, 10, 10, 10, 10, 10
-flag_dqwak        =  4, 5, 10, 10, 10, 10
-flag_ftime_th     =  4, 10, 10, 5, 10, 10
-#
-# Parametres niveau de sorties differents fichiers
-#
-### parametres pour hist*NMC.nc
-#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
-#                histdayNMC: 8 ou 17
-lev_histdayNMC=8
-### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
-ok_histNMC = y, n, n
-### freqin_isccp = frequence input en secondes du simulateur ISCCP
-freq_ISCCP=10800.
-### freqout_isccp = frequence output en jours du simulateur ISCCP
-ecrit_ISCCP=_ecrit-ISCCP_
 ### niveau du diagnostique de conservation d energie
 if_ebil=0
@@ -249,31 +148,2 @@
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
 read_climoz=2
-#
-# Parametres simulateur COSP (CFMIP Observational Simulator Package)
-#
-### ok_cosp=y/n flag simulateur COSP
-ok_cosp=n
-### freq_COSP = frequence d'appel de COSP en secondes
-freq_COSP=10800.
-### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
-ok_mensuelCOSP=y
-### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
-ok_journeCOSP=y
-### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
-ok_hfCOSP=n
-#
-# Parametres simulateur ISCCP
-#
-### ok_isccp=y/n flag simulateur ISCCP
-ok_isccp=n
-### top_height = flag choix calcul nuages par le simulateur en utilisant 
-# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
-# - top_height = 1 -> algo IR-VIS
-# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
-# - top_height = 3 -> algo IR
-top_height = 1
-### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
-# - overlap=1    Max overlap
-# - overlap=2    Random overlap
-# - overlap=3    Max/Random overlap
-overlap = 3
Index: CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/run.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/run.def	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/run.def	(revision 1540)
@@ -4,4 +4,5 @@
 INCLUDEDEF=gcm.def
 INCLUDEDEF=orchidee.def
+INCLUDEDEF=output.def
 ## Type de calendrier utilise
 ## valeur possible: earth_360d (defaut), earth_365d, earth_366d
Index: CONFIG/IPSLCM/IPSLCM5-2/EXP00/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXP00/COMP/lmdz.card	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXP00/COMP/lmdz.card	(revision 1540)
@@ -55,4 +55,5 @@
 	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
 	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
+	(${SUBMIT_DIR}/PARAM/output.def, .), \
 	(${SUBMIT_DIR}/PARAM/run.def, .), \
 	(${SUBMIT_DIR}/PARAM/traceur.def, .)
Index: CONFIG/IPSLCM/IPSLCM5-2/EXP00/COMP/lmdz.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXP00/COMP/lmdz.driver	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXP00/COMP/lmdz.driver	(revision 1540)
@@ -264,14 +264,14 @@
 
 
-    ## physiq.def parameters modified from initial physiq_L${RESOL_ATM_Z}
+    ## output.def parameters
     #  columns in phys_output_filekeys refer to the filenames given in phys_out_filenames in physiq.def :  
     #                                            histmth       histday        histhf    histfh3h   histhf3hm   histstn
-    LMDZ_sed physiq.def phys_out_filekeys        ${ok_mensuel} ${ok_journe}   ${ok_hf}  ${ok_hf3h} ${ok_hf3hm} ${ok_stn}
-    LMDZ_sed physiq.def ecrit_ISCCP ${LMDZ_ecrit_ISCCP}
-    LMDZ_sed physiq.def ok_cosp     ${LMDZ_COSP_OK}
-    LMDZ_sed physiq.def ok_mensuelCOSP  ${LMDZ_COSP_monthly}
-    LMDZ_sed physiq.def ok_journeCOSP   ${LMDZ_COSP_daily}
-    LMDZ_sed physiq.def ok_hfCOSP   ${LMDZ_COSP_hf}
-    LMDZ_sed physiq.def ok_histNMC  "${LMDZ_NMC_monthly}, ${LMDZ_NMC_daily}, ${LMDZ_NMC_hf}"
+    LMDZ_sed output.def phys_out_filekeys        ${ok_mensuel} ${ok_journe}   ${ok_hf}  ${ok_hf3h} ${ok_hf3hm} ${ok_stn}
+    LMDZ_sed output.def ecrit_ISCCP ${LMDZ_ecrit_ISCCP}
+    LMDZ_sed output.def ok_cosp     ${LMDZ_COSP_OK}
+    LMDZ_sed output.def ok_mensuelCOSP  ${LMDZ_COSP_monthly}
+    LMDZ_sed output.def ok_journeCOSP   ${LMDZ_COSP_daily}
+    LMDZ_sed output.def ok_hfCOSP   ${LMDZ_COSP_hf}
+    LMDZ_sed output.def ok_histNMC  "${LMDZ_NMC_monthly}, ${LMDZ_NMC_daily}, ${LMDZ_NMC_hf}"
 
     ## gcm.def parameters : no change since gcm.def_${RESOL_ATM_3D} is used and already modified
Index: CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/output.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/output.def	(revision 1540)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/output.def	(revision 1540)
@@ -0,0 +1,60 @@
+#
+# Parametres fichiers de sortie
+#
+# Noms des fichiers
+phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
+# Sortir ou non les fichiers
+phys_out_filekeys=       n       n       n        n         n         n
+# Niveaux de sorties
+phys_out_filelevels=     5       2       2        5         5         5
+### Type de fichier : global (n) ou stations (y)
+phys_out_filestations =  n       n       n        n         n         y
+### Frequences des sorties
+phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
+#
+#
+# Parametres niveau de sorties differents fichiers
+#
+### parametres pour hist*NMC.nc
+#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
+#                histdayNMC: 8 ou 17
+lev_histdayNMC=8
+### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
+ok_histNMC = y, n, n
+
+#
+# Parametres simulateur COSP (CFMIP Observational Simulator Package)
+#
+### ok_cosp=y/n flag simulateur COSP
+ok_cosp=n
+### freq_COSP = frequence d'appel de COSP en secondes
+freq_COSP=10800.
+### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
+ok_mensuelCOSP=y
+### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
+ok_journeCOSP=y
+### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
+ok_hfCOSP=n
+
+#
+# Parametres simulateur ISCCP
+#
+### ok_isccp=y/n flag simulateur ISCCP
+ok_isccp=n
+### freqin_isccp = frequence input en secondes du simulateur ISCCP
+freq_ISCCP=10800.
+### freqout_isccp = frequence output en jours du simulateur ISCCP
+ecrit_ISCCP=_ecrit-ISCCP_
+### top_height = flag choix calcul nuages par le simulateur en utilisant 
+# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
+# - top_height = 1 -> algo IR-VIS
+# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
+# - top_height = 3 -> algo IR
+top_height = 1
+### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
+# - overlap=1    Max overlap
+# - overlap=2    Random overlap
+# - overlap=3    Max/Random overlap
+overlap = 3
+
+
Index: CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L19
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L19	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L19	(revision 1540)
@@ -26,22 +26,4 @@
 #
 #
-#
-# Parametres fichiers de sortie
-#
-# Noms des fichiers
-phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
-# Sortir ou non les fichiers
-phys_out_filekeys=       n       n       n        n         n         n
-# Niveaux de sorties
-phys_out_filelevels=     5       5       5        5         5         5
-### Type de fichier : global (n) ou stations (y)
-phys_out_filestations =  n       n       n        n         n         y
-### Frequences des sorties
-phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
-#
-### freqin_isccp = frequence input en secondes du simulateur ISCCP
-freq_ISCCP=10800.
-### freqout_isccp = frequence output en jours du simulateur ISCCP
-ecrit_ISCCP=_ecrit-ISCCP_
 ### niveau du diagnostique de conservation d energie
 if_ebil=0
@@ -166,25 +148,3 @@
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
 read_climoz=0
-#
-# Parametres simulateur COSP (CFMIP Observational Simulator Package)
-#
-### ok_cosp=y/n flag simulateur COSP
-ok_cosp=n
-## freq_COSP = frequence d'appel de COSP en secondes
-freq_COSP=10800.
-#
-# Parametres simulateur ISCCP
-#
-### ok_isccp=y/n flag simulateur ISCCP
-ok_isccp=n
-### top_height = flag choix calcul nuages par le simulateur en utilisant 
-# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
-# - top_height = 1 -> algo IR-VIS
-# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
-# - top_height = 3 -> algo IR
-top_height = 1
-### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
-# - overlap=1    Max overlap
-# - overlap=2    Random overlap
-# - overlap=3    Max/Random overlap
-overlap = 3
+
Index: CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L39	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L39	(revision 1540)
@@ -26,32 +26,4 @@
 #
 #
-#
-# Parametres fichiers de sortie
-#
-# Noms des fichiers
-phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
-# Sortir ou non les fichiers
-phys_out_filekeys=       n       n       n        n         n         n
-# Niveaux de sorties
-phys_out_filelevels=     5       2       2        5         5         5
-### Type de fichier : global (n) ou stations (y)
-phys_out_filestations =  n       n       n        n         n         y
-### Frequences des sorties
-phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
-#
-#
-# Parametres niveau de sorties differents fichiers
-#
-### parametres pour hist*NMC.nc
-#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
-#                histdayNMC: 8 ou 17
-lev_histdayNMC=8
-### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
-ok_histNMC = y, n, n
-
-### freqin_isccp = frequence input en secondes du simulateur ISCCP
-freq_ISCCP=10800.
-### freqout_isccp = frequence output en jours du simulateur ISCCP
-ecrit_ISCCP=_ecrit-ISCCP_
 ### niveau du diagnostique de conservation d energie
 if_ebil=0
@@ -177,30 +149,2 @@
 read_climoz=2
 #
-# Parametres simulateur COSP (CFMIP Observational Simulator Package)
-#
-### ok_cosp=y/n flag simulateur COSP
-ok_cosp=n
-### freq_COSP = frequence d'appel de COSP en secondes
-freq_COSP=10800.
-### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
-ok_mensuelCOSP=y
-### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
-ok_journeCOSP=y
-### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
-ok_hfCOSP=n
-#
-# Parametres simulateur ISCCP
-#
-### ok_isccp=y/n flag simulateur ISCCP
-ok_isccp=n
-### top_height = flag choix calcul nuages par le simulateur en utilisant 
-# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
-# - top_height = 1 -> algo IR-VIS
-# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
-# - top_height = 3 -> algo IR
-top_height = 1
-### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
-# - overlap=1    Max overlap
-# - overlap=2    Random overlap
-# - overlap=3    Max/Random overlap
-overlap = 3
Index: CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/run.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/run.def	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/run.def	(revision 1540)
@@ -4,4 +4,5 @@
 INCLUDEDEF=gcm.def
 INCLUDEDEF=orchidee.def
+INCLUDEDEF=output.def
 ## Type de calendrier utilise
 ## valeur possible: earth_360d (defaut), earth_365d, earth_366d
Index: CONFIG/IPSLCM/IPSLCM5-2/historical/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/historical/COMP/lmdz.card	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/historical/COMP/lmdz.card	(revision 1540)
@@ -62,4 +62,5 @@
 	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
 	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
+	(${SUBMIT_DIR}/PARAM/output.def, .), \
 	(${SUBMIT_DIR}/PARAM/run.def, .), \
 	(${SUBMIT_DIR}/PARAM/traceur.def, .)
Index: CONFIG/IPSLCM/IPSLCM5-2/historical/COMP/lmdz.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/historical/COMP/lmdz.driver	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/historical/COMP/lmdz.driver	(revision 1540)
@@ -264,14 +264,14 @@
 
 
-    ## physiq.def parameters modified from initial physiq_L${RESOL_ATM_Z}
+    ## output.def parameters
     #  columns in phys_output_filekeys refer to the filenames given in phys_out_filenames in physiq.def :  
     #                                            histmth       histday        histhf    histfh3h   histhf3hm   histstn
-    LMDZ_sed physiq.def phys_out_filekeys        ${ok_mensuel} ${ok_journe}   ${ok_hf}  ${ok_hf3h} ${ok_hf3hm} ${ok_stn}
-    LMDZ_sed physiq.def ecrit_ISCCP ${LMDZ_ecrit_ISCCP}
-    LMDZ_sed physiq.def ok_cosp     ${LMDZ_COSP_OK}
-    LMDZ_sed physiq.def ok_mensuelCOSP  ${LMDZ_COSP_monthly}
-    LMDZ_sed physiq.def ok_journeCOSP   ${LMDZ_COSP_daily}
-    LMDZ_sed physiq.def ok_hfCOSP   ${LMDZ_COSP_hf}
-    LMDZ_sed physiq.def ok_histNMC  "${LMDZ_NMC_monthly}, ${LMDZ_NMC_daily}, ${LMDZ_NMC_hf}"
+    LMDZ_sed output.def phys_out_filekeys        ${ok_mensuel} ${ok_journe}   ${ok_hf}  ${ok_hf3h} ${ok_hf3hm} ${ok_stn}
+    LMDZ_sed output.def ecrit_ISCCP ${LMDZ_ecrit_ISCCP}
+    LMDZ_sed output.def ok_cosp     ${LMDZ_COSP_OK}
+    LMDZ_sed output.def ok_mensuelCOSP  ${LMDZ_COSP_monthly}
+    LMDZ_sed output.def ok_journeCOSP   ${LMDZ_COSP_daily}
+    LMDZ_sed output.def ok_hfCOSP   ${LMDZ_COSP_hf}
+    LMDZ_sed output.def ok_histNMC  "${LMDZ_NMC_monthly}, ${LMDZ_NMC_daily}, ${LMDZ_NMC_hf}"
 
     ## gcm.def parameters : no change since gcm.def_${RESOL_ATM_3D} is used and already modified
Index: CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/output.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/output.def	(revision 1540)
+++ CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/output.def	(revision 1540)
@@ -0,0 +1,131 @@
+#
+# Parametres fichiers de sortie
+#
+# Noms des fichiers
+phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
+# Sortir ou non les fichiers
+phys_out_filekeys=       n       n       n        n         n         n
+# Niveaux de sorties
+phys_out_filelevels=     5       5       5        5         5         5
+### Type de fichier : global (n) ou stations (y)
+phys_out_filestations =  n       n       n        n         n         y
+### Frequences des sorties
+phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
+#
+#
+### variables niveaux pressions 100, 50, 10 hPa a 3h-inst - F.Lott
+flag_t100       = 1, 7, 7, 5, 10, 10
+flag_u100       = 1, 7, 7, 5, 10, 10
+flag_v100       = 1, 7, 7, 5, 10, 10
+flag_w100       = 1, 7, 7, 5, 10, 10
+flag_t50        = 1, 7, 7, 5, 10, 10
+flag_u50        = 1, 7, 7, 5, 10, 10
+flag_v50        = 1, 7, 7, 5, 10, 10
+flag_w50        = 1, 7, 7, 5, 10, 10
+flag_t10        = 1, 7, 7, 5, 10, 10
+flag_u10        = 1, 7, 7, 5, 10, 10
+flag_v10        = 1, 7, 7, 5, 10, 10
+flag_w10        = 1, 7, 7, 5, 10, 10
+# more variables for level 5 histday/month: vitw and pres
+# Vertical wind
+flag_vitw         =  2, 3, 7, 6, 6, 6
+# Air pressure
+flag_pres         =  2, 3, 7, 6, 6, 6
+# w500 for histday
+flag_w500         =  1, 5, 3, 10, 10, 10
+# t700 for histday
+flag_t700         =  1, 5, 3, 10, 10, 10
+# Cloud fraction
+flag_rneb         =  2, 5, 10, 5, 10, 10
+# Aga sortie avec niveau 2
+flag_Aga          =  2, 10, 10, 10, 10, 10
+# niveaux maximum 5 mensuel pour variables CFMIP
+flag_rlu          =  5, 10, 10, 10, 10, 10
+flag_rsu          =  5, 10, 10, 10, 10, 10
+flag_rld          =  5, 10, 10, 10, 10, 10
+flag_rsd          =  5, 10, 10, 10, 10, 10
+flag_rlucs        =  5, 10, 10, 10, 10, 10
+flag_rsucs        =  5, 10, 10, 10, 10, 10
+flag_rldcs        =  5, 10, 10, 10, 10, 10
+flag_rsdcs        =  5, 10, 10, 10, 10, 10
+flag_tnt          =  5, 10, 10, 10, 10, 10
+flag_dtdyn        =  4, 10, 10, 10, 10, 10
+flag_dtphy        =  4, 10, 10, 10, 10, 10
+flag_dtlschr      =  5, 10, 10, 10, 10, 10
+flag_tntr         =  5, 10, 10, 10, 10, 10
+flag_tntc         =  5, 10, 10, 10, 10, 10
+flag_tntscpbl     =  5, 10, 10, 10, 10, 10
+flag_tnhus        =  5, 10, 10, 10, 10, 10
+flag_dqdyn        =  4, 10, 10, 10, 10, 10
+flag_tnhusc       =  5, 10, 10, 10, 10, 10
+flag_dqvdf        =  5, 10, 10, 10, 10, 10
+flag_tnhusscpbl   =  5, 10, 10, 10, 10, 10
+flag_dqphy        =  2, 10, 10, 10, 10, 10
+flag_evu          =  5, 10, 10, 10, 10, 10
+flag_kz           =  4, 10, 10, 10, 10, 10
+###
+# more variables for t tendency monthly
+###
+flag_dtvdf        =  5, 10, 10, 10, 10, 10
+flag_dteva        =  5, 10, 10, 10, 10, 10
+flag_dtcon        =  4, 10, 10, 10, 10, 10
+flag_dtajs        =  4, 10, 10, 10, 10, 10
+flag_dtlsc        =  4, 10, 10, 10, 10, 10
+flag_dtoro        =  4, 10, 10, 10, 10, 10
+flag_dtlif        =  4, 10, 10, 10, 10, 10
+flag_dthin        =  4, 10, 10, 10, 10, 10
+flag_dtec         =  4, 10, 10, 10, 10, 10
+### more variables for q tendency monthly
+flag_dqeva        =  5, 10, 10, 10, 10, 10
+flag_dqcon        =  4, 10, 10, 10, 10, 10
+flag_dqajs        =  4, 10, 10, 10, 10, 10
+flag_dqlsc        =  5, 10, 10, 10, 10, 10
+### nouvelle physique monthly
+flag_dtthe        =  4, 10, 10, 10, 10, 10
+flag_dtwak        =  4, 5, 10, 10, 10, 10
+flag_dqthe        =  4, 10, 10, 10, 10, 10
+flag_dqwak        =  4, 5, 10, 10, 10, 10
+flag_ftime_th     =  4, 10, 10, 5, 10, 10
+#
+# Parametres niveau de sorties differents fichiers
+#
+### parametres pour hist*NMC.nc
+#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
+#                histdayNMC: 8 ou 17
+lev_histdayNMC=8
+### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
+ok_histNMC = y, n, n
+
+#
+# Parametres simulateur COSP (CFMIP Observational Simulator Package)
+#
+### ok_cosp=y/n flag simulateur COSP
+ok_cosp=n
+### freq_COSP = frequence d'appel de COSP en secondes
+freq_COSP=10800.
+### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
+ok_mensuelCOSP=y
+### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
+ok_journeCOSP=y
+### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
+ok_hfCOSP=n
+#
+# Parametres simulateur ISCCP
+#
+### ok_isccp=y/n flag simulateur ISCCP
+ok_isccp=n
+### freqin_isccp = frequence input en secondes du simulateur ISCCP
+freq_ISCCP=10800.
+### freqout_isccp = frequence output en jours du simulateur ISCCP
+ecrit_ISCCP=_ecrit-ISCCP_
+### top_height = flag choix calcul nuages par le simulateur en utilisant 
+# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
+# - top_height = 1 -> algo IR-VIS
+# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
+# - top_height = 3 -> algo IR
+top_height = 1
+### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
+# - overlap=1    Max overlap
+# - overlap=2    Random overlap
+# - overlap=3    Max/Random overlap
+overlap = 3
Index: CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/physiq.def_L19
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/physiq.def_L19	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/physiq.def_L19	(revision 1540)
@@ -26,22 +26,4 @@
 #
 #
-#
-# Parametres fichiers de sortie
-#
-# Noms des fichiers
-phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
-# Sortir ou non les fichiers
-phys_out_filekeys=       n       n       n        n         n         n
-# Niveaux de sorties
-phys_out_filelevels=     5       5       5        5         5         5
-### Type de fichier : global (n) ou stations (y)
-phys_out_filestations =  n       n       n        n         n         y
-### Frequences des sorties
-phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
-#
-### freqin_isccp = frequence input en secondes du simulateur ISCCP
-freq_ISCCP=10800.
-### freqout_isccp = frequence output en jours du simulateur ISCCP
-ecrit_ISCCP=_ecrit-ISCCP_
 ### niveau du diagnostique de conservation d energie
 if_ebil=0
@@ -166,25 +148,3 @@
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
 read_climoz=0
-#
-# Parametres simulateur COSP (CFMIP Observational Simulator Package)
-#
-### ok_cosp=y/n flag simulateur COSP
-ok_cosp=n
-## freq_COSP = frequence d'appel de COSP en secondes
-freq_COSP=10800.
-#
-# Parametres simulateur ISCCP
-#
-### ok_isccp=y/n flag simulateur ISCCP
-ok_isccp=n
-### top_height = flag choix calcul nuages par le simulateur en utilisant 
-# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
-# - top_height = 1 -> algo IR-VIS
-# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
-# - top_height = 3 -> algo IR
-top_height = 1
-### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
-# - overlap=1    Max overlap
-# - overlap=2    Random overlap
-# - overlap=3    Max/Random overlap
-overlap = 3
+
Index: CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/physiq.def_L39	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/physiq.def_L39	(revision 1540)
@@ -26,105 +26,5 @@
 #
 #
-#
-# Parametres fichiers de sortie
-#
-# Noms des fichiers
-phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
-# Sortir ou non les fichiers
-phys_out_filekeys=       n       n       n        n         n         n
-# Niveaux de sorties
-phys_out_filelevels=     5       5       5        5         5         5
-### Type de fichier : global (n) ou stations (y)
-phys_out_filestations =  n       n       n        n         n         y
-### Frequences des sorties
-phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
-#
-#
-### variables niveaux pressions 100, 50, 10 hPa a 3h-inst - F.Lott
-flag_t100       = 1, 7, 7, 5, 10, 10
-flag_u100       = 1, 7, 7, 5, 10, 10
-flag_v100       = 1, 7, 7, 5, 10, 10
-flag_w100       = 1, 7, 7, 5, 10, 10
-flag_t50        = 1, 7, 7, 5, 10, 10
-flag_u50        = 1, 7, 7, 5, 10, 10
-flag_v50        = 1, 7, 7, 5, 10, 10
-flag_w50        = 1, 7, 7, 5, 10, 10
-flag_t10        = 1, 7, 7, 5, 10, 10
-flag_u10        = 1, 7, 7, 5, 10, 10
-flag_v10        = 1, 7, 7, 5, 10, 10
-flag_w10        = 1, 7, 7, 5, 10, 10
-# more variables for level 5 histday/month: vitw and pres
-# Vertical wind
-flag_vitw         =  2, 3, 7, 6, 6, 6
-# Air pressure
-flag_pres         =  2, 3, 7, 6, 6, 6
-# w500 for histday
-flag_w500         =  1, 5, 3, 10, 10, 10
-# t700 for histday
-flag_t700         =  1, 5, 3, 10, 10, 10
-# Cloud fraction
-flag_rneb         =  2, 5, 10, 5, 10, 10
-# Aga sortie avec niveau 2
-flag_Aga          =  2, 10, 10, 10, 10, 10
-# niveaux maximum 5 mensuel pour variables CFMIP
-flag_rlu          =  5, 10, 10, 10, 10, 10
-flag_rsu          =  5, 10, 10, 10, 10, 10
-flag_rld          =  5, 10, 10, 10, 10, 10
-flag_rsd          =  5, 10, 10, 10, 10, 10
-flag_rlucs        =  5, 10, 10, 10, 10, 10
-flag_rsucs        =  5, 10, 10, 10, 10, 10
-flag_rldcs        =  5, 10, 10, 10, 10, 10
-flag_rsdcs        =  5, 10, 10, 10, 10, 10
-flag_tnt          =  5, 10, 10, 10, 10, 10
-flag_dtdyn        =  4, 10, 10, 10, 10, 10
-flag_dtphy        =  4, 10, 10, 10, 10, 10
-flag_dtlschr      =  5, 10, 10, 10, 10, 10
-flag_tntr         =  5, 10, 10, 10, 10, 10
-flag_tntc         =  5, 10, 10, 10, 10, 10
-flag_tntscpbl     =  5, 10, 10, 10, 10, 10
-flag_tnhus        =  5, 10, 10, 10, 10, 10
-flag_dqdyn        =  4, 10, 10, 10, 10, 10
-flag_tnhusc       =  5, 10, 10, 10, 10, 10
-flag_dqvdf        =  5, 10, 10, 10, 10, 10
-flag_tnhusscpbl   =  5, 10, 10, 10, 10, 10
-flag_dqphy        =  2, 10, 10, 10, 10, 10
-flag_evu          =  5, 10, 10, 10, 10, 10
-flag_kz           =  4, 10, 10, 10, 10, 10
-###
-# more variables for t tendency monthly
-###
-flag_dtvdf        =  5, 10, 10, 10, 10, 10
-flag_dteva        =  5, 10, 10, 10, 10, 10
-flag_dtcon        =  4, 10, 10, 10, 10, 10
-flag_dtajs        =  4, 10, 10, 10, 10, 10
-flag_dtlsc        =  4, 10, 10, 10, 10, 10
-flag_dtoro        =  4, 10, 10, 10, 10, 10
-flag_dtlif        =  4, 10, 10, 10, 10, 10
-flag_dthin        =  4, 10, 10, 10, 10, 10
-flag_dtec         =  4, 10, 10, 10, 10, 10
-### more variables for q tendency monthly
-flag_dqeva        =  5, 10, 10, 10, 10, 10
-flag_dqcon        =  4, 10, 10, 10, 10, 10
-flag_dqajs        =  4, 10, 10, 10, 10, 10
-flag_dqlsc        =  5, 10, 10, 10, 10, 10
-### nouvelle physique monthly
-flag_dtthe        =  4, 10, 10, 10, 10, 10
-flag_dtwak        =  4, 5, 10, 10, 10, 10
-flag_dqthe        =  4, 10, 10, 10, 10, 10
-flag_dqwak        =  4, 5, 10, 10, 10, 10
-flag_ftime_th     =  4, 10, 10, 5, 10, 10
-#
-# Parametres niveau de sorties differents fichiers
-#
-### parametres pour hist*NMC.nc
-#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
-#                histdayNMC: 8 ou 17
-lev_histdayNMC=8
-### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
-ok_histNMC = y, n, n
-### freqin_isccp = frequence input en secondes du simulateur ISCCP
-freq_ISCCP=10800.
-### freqout_isccp = frequence output en jours du simulateur ISCCP
-ecrit_ISCCP=_ecrit-ISCCP_
+
 ### niveau du diagnostique de conservation d energie
 if_ebil=0
@@ -249,31 +149,2 @@
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
 read_climoz=2
-#
-# Parametres simulateur COSP (CFMIP Observational Simulator Package)
-#
-### ok_cosp=y/n flag simulateur COSP
-ok_cosp=n
-### freq_COSP = frequence d'appel de COSP en secondes
-freq_COSP=10800.
-### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
-ok_mensuelCOSP=y
-### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
-ok_journeCOSP=y
-### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
-ok_hfCOSP=n
-#
-# Parametres simulateur ISCCP
-#
-### ok_isccp=y/n flag simulateur ISCCP
-ok_isccp=n
-### top_height = flag choix calcul nuages par le simulateur en utilisant 
-# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
-# - top_height = 1 -> algo IR-VIS
-# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
-# - top_height = 3 -> algo IR
-top_height = 1
-### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
-# - overlap=1    Max overlap
-# - overlap=2    Random overlap
-# - overlap=3    Max/Random overlap
-overlap = 3
Index: CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/run.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/run.def	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/run.def	(revision 1540)
@@ -4,4 +4,5 @@
 INCLUDEDEF=gcm.def
 INCLUDEDEF=orchidee.def
+INCLUDEDEF=output.def
 ## Type de calendrier utilise
 ## valeur possible: earth_360d (defaut), earth_365d, earth_366d
Index: CONFIG/IPSLCM/IPSLCM5-2/piControl/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/piControl/COMP/lmdz.card	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/piControl/COMP/lmdz.card	(revision 1540)
@@ -54,4 +54,5 @@
 	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
 	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
+	(${SUBMIT_DIR}/PARAM/output.def, .), \
 	(${SUBMIT_DIR}/PARAM/run.def, .), \
 	(${SUBMIT_DIR}/PARAM/traceur.def, .)
Index: CONFIG/IPSLCM/IPSLCM5-2/piControl/COMP/lmdz.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/piControl/COMP/lmdz.driver	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/piControl/COMP/lmdz.driver	(revision 1540)
@@ -264,14 +264,14 @@
 
 
-    ## physiq.def parameters modified from initial physiq_L${RESOL_ATM_Z}
+    ## output.def parameters
     #  columns in phys_output_filekeys refer to the filenames given in phys_out_filenames in physiq.def :  
     #                                            histmth       histday        histhf    histfh3h   histhf3hm   histstn
-    LMDZ_sed physiq.def phys_out_filekeys        ${ok_mensuel} ${ok_journe}   ${ok_hf}  ${ok_hf3h} ${ok_hf3hm} ${ok_stn}
-    LMDZ_sed physiq.def ecrit_ISCCP ${LMDZ_ecrit_ISCCP}
-    LMDZ_sed physiq.def ok_cosp     ${LMDZ_COSP_OK}
-    LMDZ_sed physiq.def ok_mensuelCOSP  ${LMDZ_COSP_monthly}
-    LMDZ_sed physiq.def ok_journeCOSP   ${LMDZ_COSP_daily}
-    LMDZ_sed physiq.def ok_hfCOSP   ${LMDZ_COSP_hf}
-    LMDZ_sed physiq.def ok_histNMC  "${LMDZ_NMC_monthly}, ${LMDZ_NMC_daily}, ${LMDZ_NMC_hf}"
+    LMDZ_sed output.def phys_out_filekeys        ${ok_mensuel} ${ok_journe}   ${ok_hf}  ${ok_hf3h} ${ok_hf3hm} ${ok_stn}
+    LMDZ_sed output.def ecrit_ISCCP ${LMDZ_ecrit_ISCCP}
+    LMDZ_sed output.def ok_cosp     ${LMDZ_COSP_OK}
+    LMDZ_sed output.def ok_mensuelCOSP  ${LMDZ_COSP_monthly}
+    LMDZ_sed output.def ok_journeCOSP   ${LMDZ_COSP_daily}
+    LMDZ_sed output.def ok_hfCOSP   ${LMDZ_COSP_hf}
+    LMDZ_sed output.def ok_histNMC  "${LMDZ_NMC_monthly}, ${LMDZ_NMC_daily}, ${LMDZ_NMC_hf}"
 
     ## gcm.def parameters : no change since gcm.def_${RESOL_ATM_3D} is used and already modified
Index: CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/output.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/output.def	(revision 1540)
+++ CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/output.def	(revision 1540)
@@ -0,0 +1,117 @@
+#
+# Parametres fichiers de sortie
+#
+# Noms des fichiers
+phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
+# Sortir ou non les fichiers
+phys_out_filekeys=       n       n       n        n         n         n
+# Niveaux de sorties
+phys_out_filelevels=     5       5       2        5         5         5
+### Type de fichier : global (n) ou stations (y)
+phys_out_filestations =  n       n       n        n         n         y
+### Frequences des sorties
+phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
+#
+#
+# more variables for level 5 : vitw and pres
+# Vertical wind
+flag_vitw         =  2, 3, 7, 6, 6, 6
+# Air pressure
+flag_pres         =  2, 3, 7, 6, 6, 6
+# w500 for histday
+flag_w500         =  1, 5, 3, 10, 10, 10
+# t700 for histday
+flag_t700         =  1, 5, 3, 10, 10, 10
+# Cloud fraction
+flag_rneb         =  2, 5, 10, 5, 10, 10
+# Aga sortie avec niveau 2
+flag_Aga          =  2, 10, 10, 10, 10, 10
+# niveaux maximum 5 mensuel pour variables CFMIP
+flag_rlu          =  5, 10, 10, 10, 10, 10
+flag_rsu          =  5, 10, 10, 10, 10, 10
+flag_rld          =  5, 10, 10, 10, 10, 10
+flag_rsd          =  5, 10, 10, 10, 10, 10
+flag_rlucs        =  5, 10, 10, 10, 10, 10
+flag_rsucs        =  5, 10, 10, 10, 10, 10
+flag_rldcs        =  5, 10, 10, 10, 10, 10
+flag_rsdcs        =  5, 10, 10, 10, 10, 10
+flag_tnt          =  5, 10, 10, 10, 10, 10
+flag_dtdyn        =  4, 10, 10, 10, 10, 10
+flag_dtphy        =  4, 10, 10, 10, 10, 10
+flag_dtlschr      =  5, 10, 10, 10, 10, 10
+flag_tntr         =  5, 10, 10, 10, 10, 10
+flag_tntc         =  5, 10, 10, 10, 10, 10
+flag_tntscpbl     =  5, 10, 10, 10, 10, 10
+flag_tnhus        =  5, 10, 10, 10, 10, 10
+flag_dqdyn        =  4, 10, 10, 10, 10, 10
+flag_tnhusc       =  5, 10, 10, 10, 10, 10
+flag_dqvdf        =  5, 10, 10, 10, 10, 10
+flag_tnhusscpbl   =  5, 10, 10, 10, 10, 10
+flag_dqphy        =  2, 10, 10, 10, 10, 10
+flag_evu          =  5, 10, 10, 10, 10, 10
+flag_kz           =  4, 10, 10, 10, 10, 10
+###
+# more variables for t tendency monthly
+###
+flag_dtvdf        =  5, 10, 10, 10, 10, 10
+flag_dteva        =  5, 10, 10, 10, 10, 10
+flag_dtcon        =  4, 10, 10, 10, 10, 10
+flag_dtajs        =  4, 10, 10, 10, 10, 10
+flag_dtlsc        =  4, 10, 10, 10, 10, 10
+flag_dtoro        =  4, 10, 10, 10, 10, 10
+flag_dtlif        =  4, 10, 10, 10, 10, 10
+flag_dthin        =  4, 10, 10, 10, 10, 10
+flag_dtec         =  4, 10, 10, 10, 10, 10
+### more variables for q tendency monthly
+flag_dqeva        =  5, 10, 10, 10, 10, 10
+flag_dqcon        =  4, 10, 10, 10, 10, 10
+flag_dqajs        =  4, 10, 10, 10, 10, 10
+flag_dqlsc        =  5, 10, 10, 10, 10, 10
+### nouvelle physique monthly
+flag_dtthe        =  4, 10, 10, 10, 10, 10
+flag_dtwak        =  4, 5, 10, 10, 10, 10
+flag_dqthe        =  4, 10, 10, 10, 10, 10
+flag_dqwak        =  4, 5, 10, 10, 10, 10
+flag_ftime_th     =  4, 10, 10, 5, 10, 10
+#
+# Parametres niveau de sorties differents fichiers
+#
+### parametres pour hist*NMC.nc
+#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
+#                histdayNMC: 8 ou 17
+lev_histdayNMC=8
+### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
+ok_histNMC = y, n, n
+#
+# Parametres simulateur COSP (CFMIP Observational Simulator Package)
+#
+### ok_cosp=y/n flag simulateur COSP
+ok_cosp=n
+### freq_COSP = frequence d'appel de COSP en secondes
+freq_COSP=10800.
+### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
+ok_mensuelCOSP=y
+### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
+ok_journeCOSP=y
+### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
+ok_hfCOSP=n
+#
+# Parametres simulateur ISCCP
+#
+### ok_isccp=y/n flag simulateur ISCCP
+ok_isccp=n
+### freqin_isccp = frequence input en secondes du simulateur ISCCP
+freq_ISCCP=10800.
+### freqout_isccp = frequence output en jours du simulateur ISCCP
+ecrit_ISCCP=_ecrit-ISCCP_
+### top_height = flag choix calcul nuages par le simulateur en utilisant 
+# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
+# - top_height = 1 -> algo IR-VIS
+# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
+# - top_height = 3 -> algo IR
+top_height = 1
+### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
+# - overlap=1    Max overlap
+# - overlap=2    Random overlap
+# - overlap=3    Max/Random overlap
+overlap = 3
Index: CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/physiq.def_L19
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/physiq.def_L19	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/physiq.def_L19	(revision 1540)
@@ -26,22 +26,4 @@
 #
 #
-#
-# Parametres fichiers de sortie
-#
-# Noms des fichiers
-phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
-# Sortir ou non les fichiers
-phys_out_filekeys=       n       n       n        n         n         n
-# Niveaux de sorties
-phys_out_filelevels=     5       5       5        5         5         5
-### Type de fichier : global (n) ou stations (y)
-phys_out_filestations =  n       n       n        n         n         y
-### Frequences des sorties
-phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
-#
-### freqin_isccp = frequence input en secondes du simulateur ISCCP
-freq_ISCCP=10800.
-### freqout_isccp = frequence output en jours du simulateur ISCCP
-ecrit_ISCCP=_ecrit-ISCCP_
 ### niveau du diagnostique de conservation d energie
 if_ebil=0
@@ -166,25 +148,3 @@
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
 read_climoz=0
-#
-# Parametres simulateur COSP (CFMIP Observational Simulator Package)
-#
-### ok_cosp=y/n flag simulateur COSP
-ok_cosp=n
-## freq_COSP = frequence d'appel de COSP en secondes
-freq_COSP=10800.
-#
-# Parametres simulateur ISCCP
-#
-### ok_isccp=y/n flag simulateur ISCCP
-ok_isccp=n
-### top_height = flag choix calcul nuages par le simulateur en utilisant 
-# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
-# - top_height = 1 -> algo IR-VIS
-# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
-# - top_height = 3 -> algo IR
-top_height = 1
-### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
-# - overlap=1    Max overlap
-# - overlap=2    Random overlap
-# - overlap=3    Max/Random overlap
-overlap = 3
+
Index: CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/physiq.def_L39	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/physiq.def_L39	(revision 1540)
@@ -26,92 +26,4 @@
 #
 #
-#
-# Parametres fichiers de sortie
-#
-# Noms des fichiers
-phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
-# Sortir ou non les fichiers
-phys_out_filekeys=       n       n       n        n         n         n
-# Niveaux de sorties
-phys_out_filelevels=     5       5       2        5         5         5
-### Type de fichier : global (n) ou stations (y)
-phys_out_filestations =  n       n       n        n         n         y
-### Frequences des sorties
-phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
-#
-#
-# more variables for level 5 : vitw and pres
-# Vertical wind
-flag_vitw         =  2, 3, 7, 6, 6, 6
-# Air pressure
-flag_pres         =  2, 3, 7, 6, 6, 6
-# w500 for histday
-flag_w500         =  1, 5, 3, 10, 10, 10
-# t700 for histday
-flag_t700         =  1, 5, 3, 10, 10, 10
-# Cloud fraction
-flag_rneb         =  2, 5, 10, 5, 10, 10
-# Aga sortie avec niveau 2
-flag_Aga          =  2, 10, 10, 10, 10, 10
-# niveaux maximum 5 mensuel pour variables CFMIP
-flag_rlu          =  5, 10, 10, 10, 10, 10
-flag_rsu          =  5, 10, 10, 10, 10, 10
-flag_rld          =  5, 10, 10, 10, 10, 10
-flag_rsd          =  5, 10, 10, 10, 10, 10
-flag_rlucs        =  5, 10, 10, 10, 10, 10
-flag_rsucs        =  5, 10, 10, 10, 10, 10
-flag_rldcs        =  5, 10, 10, 10, 10, 10
-flag_rsdcs        =  5, 10, 10, 10, 10, 10
-flag_tnt          =  5, 10, 10, 10, 10, 10
-flag_dtdyn        =  4, 10, 10, 10, 10, 10
-flag_dtphy        =  4, 10, 10, 10, 10, 10
-flag_dtlschr      =  5, 10, 10, 10, 10, 10
-flag_tntr         =  5, 10, 10, 10, 10, 10
-flag_tntc         =  5, 10, 10, 10, 10, 10
-flag_tntscpbl     =  5, 10, 10, 10, 10, 10
-flag_tnhus        =  5, 10, 10, 10, 10, 10
-flag_dqdyn        =  4, 10, 10, 10, 10, 10
-flag_tnhusc       =  5, 10, 10, 10, 10, 10
-flag_dqvdf        =  5, 10, 10, 10, 10, 10
-flag_tnhusscpbl   =  5, 10, 10, 10, 10, 10
-flag_dqphy        =  2, 10, 10, 10, 10, 10
-flag_evu          =  5, 10, 10, 10, 10, 10
-flag_kz           =  4, 10, 10, 10, 10, 10
-###
-# more variables for t tendency monthly
-###
-flag_dtvdf        =  5, 10, 10, 10, 10, 10
-flag_dteva        =  5, 10, 10, 10, 10, 10
-flag_dtcon        =  4, 10, 10, 10, 10, 10
-flag_dtajs        =  4, 10, 10, 10, 10, 10
-flag_dtlsc        =  4, 10, 10, 10, 10, 10
-flag_dtoro        =  4, 10, 10, 10, 10, 10
-flag_dtlif        =  4, 10, 10, 10, 10, 10
-flag_dthin        =  4, 10, 10, 10, 10, 10
-flag_dtec         =  4, 10, 10, 10, 10, 10
-### more variables for q tendency monthly
-flag_dqeva        =  5, 10, 10, 10, 10, 10
-flag_dqcon        =  4, 10, 10, 10, 10, 10
-flag_dqajs        =  4, 10, 10, 10, 10, 10
-flag_dqlsc        =  5, 10, 10, 10, 10, 10
-### nouvelle physique monthly
-flag_dtthe        =  4, 10, 10, 10, 10, 10
-flag_dtwak        =  4, 5, 10, 10, 10, 10
-flag_dqthe        =  4, 10, 10, 10, 10, 10
-flag_dqwak        =  4, 5, 10, 10, 10, 10
-flag_ftime_th     =  4, 10, 10, 5, 10, 10
-#
-# Parametres niveau de sorties differents fichiers
-#
-### parametres pour hist*NMC.nc
-#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
-#                histdayNMC: 8 ou 17
-lev_histdayNMC=8
-### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
-ok_histNMC = y, n, n
-### freqin_isccp = frequence input en secondes du simulateur ISCCP
-freq_ISCCP=10800.
-### freqout_isccp = frequence output en jours du simulateur ISCCP
-ecrit_ISCCP=_ecrit-ISCCP_
 ### niveau du diagnostique de conservation d energie
 if_ebil=0
@@ -236,31 +148,2 @@
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
 read_climoz=2
-#
-# Parametres simulateur COSP (CFMIP Observational Simulator Package)
-#
-### ok_cosp=y/n flag simulateur COSP
-ok_cosp=n
-### freq_COSP = frequence d'appel de COSP en secondes
-freq_COSP=10800.
-### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
-ok_mensuelCOSP=y
-### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
-ok_journeCOSP=y
-### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
-ok_hfCOSP=n
-#
-# Parametres simulateur ISCCP
-#
-### ok_isccp=y/n flag simulateur ISCCP
-ok_isccp=n
-### top_height = flag choix calcul nuages par le simulateur en utilisant 
-# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
-# - top_height = 1 -> algo IR-VIS
-# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
-# - top_height = 3 -> algo IR
-top_height = 1
-### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
-# - overlap=1    Max overlap
-# - overlap=2    Random overlap
-# - overlap=3    Max/Random overlap
-overlap = 3
Index: CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/run.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/run.def	(revision 1539)
+++ CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/run.def	(revision 1540)
@@ -4,4 +4,5 @@
 INCLUDEDEF=gcm.def
 INCLUDEDEF=orchidee.def
+INCLUDEDEF=output.def
 ## Type de calendrier utilise
 ## valeur possible: earth_360d (defaut), earth_365d, earth_366d
